
BEGIN {
    nlines = 0
}

# First we join all the continued lines...
/.+\\$/ {
    while  (match($0,/.+\\$/)) {
	getline nl
	gsub( /^[ \t]*/,"",nl)
	gsub(/\\$/," "nl)
    }
}
# Here we eliminate comments...
/^[ \t]*#/ {
#    print "## " $0
    next
}
# For whats left, we split on '[_??' to a) reject those lines without ...
/.*/ {
    parts = split($0, str, /\[_b /) 
    if(parts < 2) {
	next
    }
    # For each selected part, split off the quoted part and build the line
    for( i=2; i<=parts; i++) {
	split(str[i],part2,/"/)
	# the translation tool does not understand that \ introduces a 
	# format thing.  So make sure they are isolated.
	re="[\\][n]"
	gsub(/[\\]n|[\\]t/,"& ",part2[2])
#	gsub(/[\\]t/,"& ",result[nlines])
	result[nlines++] = "\"" part2[2] "\""
    }
}

END {
    asort(result)
    print result[1]
    ndlines = 1
    for (i = 2; i<= nlines; i++) {
	if (result[i-1] != result[i] ) {
	    print result[i]
	    ndlines++
	}
    }
    print ndlines " printed " nlines-ndlines " eliminated duplicates"
	print re " huh"

}